### Method

# Gtk Windowmaximize

#### Declaration [src]

    void
    gtk_window_maximize (
      GtkWindow* window
    )

#### Description [src]

Asks to maximize `window`, so that it fills the screen.

Note that you shouldn’t assume the window is definitely maximized afterward, because other entities (e.g. the user or window manager) could unmaximize it again, and not all window managers support maximization.

It’s permitted to call this function before showing a window, in which case the window will be maximized when it appears onscreen initially.

You can track the result of this operation via the `GdkToplevel:state` property, or by listening to notifications on the `GtkWindow:maximized` property.